Announcement Announcement Module
Collapse
No announcement yet.
Version range could not be satisfied. Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Version range could not be satisfied.

    Hi,

    I am evaluating DMServer Night build springsource-dm-server-2.0.0.CI-R327-B275 with STS 2.1.0 M2 with a sample OSGI Shared Services War program, while deploying the Shared Services War file, I am getting an exception like

    [2009-06-29 10:53:08.722] nection(11)-192.168.3.64 <SPDE0018E> Unable to install application from location 'file:///E:/springsource-dm-server-2.0.0.CI-R327-B275/stage/com.ocimum.btree.war'. Could not satisfy constraints for bundle 'hello.web' at version '1.0.0'. Import-Bundle with symbolic name 'org.springframework.osgi.web' in version range '[1.1.2.B, 1.1.2.B]' could not be satisfied.

    I tried with 'org.springframework.osgi.web' with different version which are available in Spring SOurce Repository, then also I am getting the same kind of Problem.

    Can any one help me to solve this issue.

    At the same time how can we get to know, what are the versions of Bundle/libraies compaitable for DMServer (latest at that time).

    Thank you in Advance.

  • #2
    Generally, there are very few restrictions as to which bundles dm Server will support. But there are certain cases where there should not be any need to use a particular bundle. org.springframework.osgi.web is one such bundle.

    org.springframework.osgi.web contains Spring DM's code for supporting the use of WAR files in a plain OSGi environment, rather than an environment like dm Server that comes with built-in support for web applications.

    What's causing your shared services war to depend upon the org.springframework.osgi.web bundle? My guess is that you don't actually need to depend upon this bundle: dm Server should already provide everything you need.

    Comment


    • #3
      Hi Andy,

      I solved the problem that I am facing, the steps that I have follwed are

      instead of writing org.springframework.osgi.web.context.support.OsgiB undleXmlWebApplicationContext ( to use this class I just tried to uses org.springframework.osgi.web) as a context class in web.xml, I just used com.springsource.server.web.dm.ServerOsgiBundleXml WebApplicationContext (which has came up with the dm server repository subsystem) as context class.

      Thank you for your reply.

      Comment

      Working...
      X